% GNUPLOT: LaTeX picture with Postscript
\begingroup
  \makeatletter
  \providecommand\color[2][]{%
    \GenericError{(gnuplot) \space\space\space\@spaces}{%
      Package color not loaded in conjunction with
      terminal option `colourtext'%
    }{See the gnuplot documentation for explanation.%
    }{Either use 'blacktext' in gnuplot or load the package
      color.sty in LaTeX.}%
    \renewcommand\color[2][]{}%
  }%
  \providecommand\includegraphics[2][]{%
    \GenericError{(gnuplot) \space\space\space\@spaces}{%
      Package graphicx or graphics not loaded%
    }{See the gnuplot documentation for explanation.%
    }{The gnuplot epslatex terminal needs graphicx.sty or graphics.sty.}%
    \renewcommand\includegraphics[2][]{}%
  }%
  \providecommand\rotatebox[2]{#2}%
  \@ifundefined{ifGPcolor}{%
    \newif\ifGPcolor
    \GPcolortrue
  }{}%
  \@ifundefined{ifGPblacktext}{%
    \newif\ifGPblacktext
    \GPblacktexttrue
  }{}%
  % define a \g@addto@macro without @ in the name:
  \let\gplgaddtomacro\g@addto@macro
  % define empty templates for all commands taking text:
  \gdef\gplbacktext{}%
  \gdef\gplfronttext{}%
  \makeatother
  \ifGPblacktext
    % no textcolor at all
    \def\colorrgb#1{}%
    \def\colorgray#1{}%
  \else
    % gray or color?
    \ifGPcolor
      \def\colorrgb#1{\color[rgb]{#1}}%
      \def\colorgray#1{\color[gray]{#1}}%
      \expandafter\def\csname LTw\endcsname{\color{white}}%
      \expandafter\def\csname LTb\endcsname{\color{black}}%
      \expandafter\def\csname LTa\endcsname{\color{black}}%
      \expandafter\def\csname LT0\endcsname{\color[rgb]{1,0,0}}%
      \expandafter\def\csname LT1\endcsname{\color[rgb]{0,1,0}}%
      \expandafter\def\csname LT2\endcsname{\color[rgb]{0,0,1}}%
      \expandafter\def\csname LT3\endcsname{\color[rgb]{1,0,1}}%
      \expandafter\def\csname LT4\endcsname{\color[rgb]{0,1,1}}%
      \expandafter\def\csname LT5\endcsname{\color[rgb]{1,1,0}}%
      \expandafter\def\csname LT6\endcsname{\color[rgb]{0,0,0}}%
      \expandafter\def\csname LT7\endcsname{\color[rgb]{1,0.3,0}}%
      \expandafter\def\csname LT8\endcsname{\color[rgb]{0.5,0.5,0.5}}%
    \else
      % gray
      \def\colorrgb#1{\color{black}}%
      \def\colorgray#1{\color[gray]{#1}}%
      \expandafter\def\csname LTw\endcsname{\color{white}}%
      \expandafter\def\csname LTb\endcsname{\color{black}}%
      \expandafter\def\csname LTa\endcsname{\color{black}}%
      \expandafter\def\csname LT0\endcsname{\color{black}}%
      \expandafter\def\csname LT1\endcsname{\color{black}}%
      \expandafter\def\csname LT2\endcsname{\color{black}}%
      \expandafter\def\csname LT3\endcsname{\color{black}}%
      \expandafter\def\csname LT4\endcsname{\color{black}}%
      \expandafter\def\csname LT5\endcsname{\color{black}}%
      \expandafter\def\csname LT6\endcsname{\color{black}}%
      \expandafter\def\csname LT7\endcsname{\color{black}}%
      \expandafter\def\csname LT8\endcsname{\color{black}}%
    \fi
  \fi
    \setlength{\unitlength}{0.0500bp}%
    \ifx\gptboxheight\undefined%
      \newlength{\gptboxheight}%
      \newlength{\gptboxwidth}%
      \newsavebox{\gptboxtext}%
    \fi%
    \setlength{\fboxrule}{0.5pt}%
    \setlength{\fboxsep}{1pt}%
\begin{picture}(11520.00,8640.00)%
\definecolor{gpBackground}{rgb}{1.000, 1.000, 1.000}%
\put(0,0){\colorbox{gpBackground}{\makebox(11520.00,8640.00)[]{}}}%
    \gplgaddtomacro\gplbacktext{%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1395,6248){\makebox(0,0)[r]{\strut{}-6}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1395,6597){\makebox(0,0)[r]{\strut{}-4}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1395,6945){\makebox(0,0)[r]{\strut{}-2}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1395,7294){\makebox(0,0)[r]{\strut{}0}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1395,7642){\makebox(0,0)[r]{\strut{}2}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1395,7991){\makebox(0,0)[r]{\strut{}4}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1497,6062){\makebox(0,0){\strut{}0}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(2242,6062){\makebox(0,0){\strut{}0.2}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(2986,6062){\makebox(0,0){\strut{}0.4}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(3731,6062){\makebox(0,0){\strut{}0.6}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(4475,6062){\makebox(0,0){\strut{}0.8}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(5220,6062){\makebox(0,0){\strut{}1}}%
    }%
    \gplgaddtomacro\gplfronttext{%
      \colorrgb{0.00,0.00,0.00}%%
      \put(3358,8270){\makebox(0,0){\strut{}Matching Pursuit}}%
    }%
    \gplgaddtomacro\gplbacktext{%
      \colorrgb{0.15,0.15,0.15}%%
      \put(6600,6248){\makebox(0,0)[r]{\strut{}-6}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(6600,6597){\makebox(0,0)[r]{\strut{}-4}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(6600,6945){\makebox(0,0)[r]{\strut{}-2}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(6600,7294){\makebox(0,0)[r]{\strut{}0}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(6600,7642){\makebox(0,0)[r]{\strut{}2}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(6600,7991){\makebox(0,0)[r]{\strut{}4}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(6702,6062){\makebox(0,0){\strut{}0}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(7446,6062){\makebox(0,0){\strut{}0.2}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(8191,6062){\makebox(0,0){\strut{}0.4}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(8935,6062){\makebox(0,0){\strut{}0.6}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(9680,6062){\makebox(0,0){\strut{}0.8}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(10424,6062){\makebox(0,0){\strut{}1}}%
    }%
    \gplgaddtomacro\gplfronttext{%
      \colorrgb{0.00,0.00,0.00}%%
      \put(8563,8270){\makebox(0,0){\strut{}Orthogonal Matching Pursuit}}%
    }%
    \gplgaddtomacro\gplbacktext{%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1395,3599){\makebox(0,0)[r]{\strut{}-6}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1395,3948){\makebox(0,0)[r]{\strut{}-4}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1395,4296){\makebox(0,0)[r]{\strut{}-2}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1395,4645){\makebox(0,0)[r]{\strut{}0}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1395,4993){\makebox(0,0)[r]{\strut{}2}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1395,5342){\makebox(0,0)[r]{\strut{}4}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1497,3413){\makebox(0,0){\strut{}0}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(2242,3413){\makebox(0,0){\strut{}0.2}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(2986,3413){\makebox(0,0){\strut{}0.4}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(3731,3413){\makebox(0,0){\strut{}0.6}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(4475,3413){\makebox(0,0){\strut{}0.8}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(5220,3413){\makebox(0,0){\strut{}1}}%
    }%
    \gplgaddtomacro\gplfronttext{%
      \colorrgb{0.00,0.00,0.00}%%
      \put(3358,5621){\makebox(0,0){\strut{}Directional Pursuit}}%
    }%
    \gplgaddtomacro\gplbacktext{%
      \colorrgb{0.15,0.15,0.15}%%
      \put(6600,3599){\makebox(0,0)[r]{\strut{}-6}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(6600,3948){\makebox(0,0)[r]{\strut{}-4}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(6600,4296){\makebox(0,0)[r]{\strut{}-2}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(6600,4645){\makebox(0,0)[r]{\strut{}0}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(6600,4993){\makebox(0,0)[r]{\strut{}2}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(6600,5342){\makebox(0,0)[r]{\strut{}4}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(6702,3413){\makebox(0,0){\strut{}0}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(7446,3413){\makebox(0,0){\strut{}0.2}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(8191,3413){\makebox(0,0){\strut{}0.4}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(8935,3413){\makebox(0,0){\strut{}0.6}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(9680,3413){\makebox(0,0){\strut{}0.8}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(10424,3413){\makebox(0,0){\strut{}1}}%
    }%
    \gplgaddtomacro\gplfronttext{%
      \colorrgb{0.00,0.00,0.00}%%
      \put(8563,5621){\makebox(0,0){\strut{}Iterative Hard Thresholding}}%
    }%
    \gplgaddtomacro\gplbacktext{%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1395,950){\makebox(0,0)[r]{\strut{}-6}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1395,1241){\makebox(0,0)[r]{\strut{}-4}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1395,1531){\makebox(0,0)[r]{\strut{}-2}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1395,1822){\makebox(0,0)[r]{\strut{}0}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1395,2112){\makebox(0,0)[r]{\strut{}2}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1395,2403){\makebox(0,0)[r]{\strut{}4}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1395,2693){\makebox(0,0)[r]{\strut{}6}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(1497,764){\makebox(0,0){\strut{}0}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(2242,764){\makebox(0,0){\strut{}0.2}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(2986,764){\makebox(0,0){\strut{}0.4}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(3731,764){\makebox(0,0){\strut{}0.6}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(4475,764){\makebox(0,0){\strut{}0.8}}%
      \colorrgb{0.15,0.15,0.15}%%
      \put(5220,764){\makebox(0,0){\strut{}1}}%
    }%
    \gplgaddtomacro\gplfronttext{%
      \colorrgb{0.00,0.00,0.00}%%
      \put(3358,2972){\makebox(0,0){\strut{}Subspace pursuit}}%
    }%
    \gplbacktext
    \put(0,0){\includegraphics{pregunta1}}%
    \gplfronttext
  \end{picture}%
\endgroup
